Other Classes: Class HTMLImageElementImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLImageElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLImageElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.ElementTraversal, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLImageElement, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.w3c.dom.TypeInfo

public class HTMLImageElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLImageElement

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Revision: 1029415 $ $Date: 2010-10-31 22:32:22 +0530 (Sun, 31 Oct 2010) $
Author:
  Assaf Arkin
See Also:
  `HTMLImageElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLImageElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`java.lang.String` | `getBorder()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getHspace()`
`boolean` | `getIsMap()`
`java.lang.String` | `getLongDesc()`
`java.lang.String` | `getLowSrc()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSrc()`
`java.lang.String` | `getUseMap()`
`java.lang.String` | `getVspace()`
`java.lang.String` | `getWidth()`
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setBorder(java.lang.String border)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String hspace)`
`void` | `setIsMap(boolean isMap)`
`void` | `setLongDesc(java.lang.String longDesc)`
`void` | `setLowSrc(java.lang.String lowSrc)`
`void` | `setName(java.lang.String name)`
`void` | `setSrc(java.lang.String src)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getChildElementCount, getDefaultAttributes, getFirstElementChild, getLastElementChild, getNextElementSibling, getNodeName, getNodeType, getPreviousElementSibling, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, getXMLBaseAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLImageElementImpl

    public HTMLImageElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getLowSrc

    public java.lang.String getLowSrc()

  Specified by:
    `getLowSrc` in interface `org.w3c.dom.html.HTMLImageElement`

### setLowSrc

    public void setLowSrc(java.lang.String lowSrc)

  Specified by:
    `setLowSrc` in interface `org.w3c.dom.html.HTMLImageElement`

### getSrc

    public java.lang.String getSrc()

  Specified by:
    `getSrc` in interface `org.w3c.dom.html.HTMLImageElement`

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    `setSrc` in interface `org.w3c.dom.html.HTMLImageElement`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLImageElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLImageElement`

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLImageElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLImageElement`

### getAlt

    public java.lang.String getAlt()

  Specified by:
    `getAlt` in interface `org.w3c.dom.html.HTMLImageElement`

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    `setAlt` in interface `org.w3c.dom.html.HTMLImageElement`

### getBorder

    public java.lang.String getBorder()

  Specified by:
    `getBorder` in interface `org.w3c.dom.html.HTMLImageElement`

### setBorder

    public void setBorder(java.lang.String border)

  Specified by:
    `setBorder` in interface `org.w3c.dom.html.HTMLImageElement`

### getHeight

    public java.lang.String getHeight()

  Specified by:
    `getHeight` in interface `org.w3c.dom.html.HTMLImageElement`

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    `setHeight` in interface `org.w3c.dom.html.HTMLImageElement`

### getHspace

    public java.lang.String getHspace()

  Specified by:
    `getHspace` in interface `org.w3c.dom.html.HTMLImageElement`

### setHspace

    public void setHspace(java.lang.String hspace)

  Specified by:
    `setHspace` in interface `org.w3c.dom.html.HTMLImageElement`

### getIsMap

    public boolean getIsMap()

  Specified by:
    `getIsMap` in interface `org.w3c.dom.html.HTMLImageElement`

### setIsMap

    public void setIsMap(boolean isMap)

  Specified by:
    `setIsMap` in interface `org.w3c.dom.html.HTMLImageElement`

### getLongDesc

    public java.lang.String getLongDesc()

  Specified by:
    `getLongDesc` in interface `org.w3c.dom.html.HTMLImageElement`

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

  Specified by:
    `setLongDesc` in interface `org.w3c.dom.html.HTMLImageElement`

### getUseMap

    public java.lang.String getUseMap()

  Specified by:
    `getUseMap` in interface `org.w3c.dom.html.HTMLImageElement`

### setUseMap

    public void setUseMap(java.lang.String useMap)

  Specified by:
    `setUseMap` in interface `org.w3c.dom.html.HTMLImageElement`

### getVspace

    public java.lang.String getVspace()

  Specified by:
    `getVspace` in interface `org.w3c.dom.html.HTMLImageElement`

### setVspace

    public void setVspace(java.lang.String vspace)

  Specified by:
    `setVspace` in interface `org.w3c.dom.html.HTMLImageElement`

### getWidth

    public java.lang.String getWidth()

  Specified by:
    `getWidth` in interface `org.w3c.dom.html.HTMLImageElement`

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    `setWidth` in interface `org.w3c.dom.html.HTMLImageElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2018 The Apache Software Foundation. All Rights Reserved.